<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.projectManagement.mapper.FdContractDetailMapper">

    <select id="findByPage" resultType="org.jeecg.modules.projectManagement.entity.FdContractDetail">
        SELECT
            fcd.id,
            fcd.study_type,
            fcd.subject_number,
            fcd.period,
            fcd.samples_period,
            fcd.samples_time,
            fcd.opv_period,
            fcd.cleaning_period,
            fcd.hospitalization
        FROM
            fd_contract_detail fcd
            LEFT JOIN fd_contract fc ON fcd.contract_id = fc.id
                ${ew.customSqlSegment}
    </select>
</mapper>